
const imageToHtmlConf = {
  type: 'image',
  elemToHtml: function(elemNode, childrenHtml) {
    const { src, alt = '', href = '', style = {} } = elemNode;
    const { width = '', height = '' } = style;

    let styleStr = ''
    if (width) styleStr += `width: ${width};`
    if (height) styleStr += `height: ${height};`
    return `<img class="rich-img" src="${src}" alt="${alt}" data-href="${href}" style="${styleStr}"/>`
  },
}

export default imageToHtmlConf;
